From be3815714ee8808498626234b36b4d298bcb8991 Mon Sep 17 00:00:00 2001
From: Denis Laxalde <denis.laxalde@dalibo.com>
Date: Wed, 16 Sep 2020 11:36:27 +0200
Subject: [PATCH 1/2] Add urllib3 and dns dependencies to python-etcd

The package, installed without patroni, does not work because of missing
dependencies:

    $ /usr/bin/python3.6 -m pydoc etcd
    problem in etcd - ModuleNotFoundError: No module named 'dns'

then installing python36-dns:

    $ /usr/bin/python3.6 -m pydoc etcd
    problem in etcd - ModuleNotFoundError: No module named 'urllib3'

Looking upstream, python-etcd directly requires urllib3 and dns:

    https://github.com/jplana/python-etcd/blob/0.4.5/setup.py#L11
---
 rpm/redhat/master/common/python-etcd/master/python-etcd.spec | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/rpm/redhat/master/common/python-etcd/master/python-etcd.spec b/rpm/redhat/master/common/python-etcd/master/python-etcd.spec
index c24f688ab..b3e6aa270 100644
--- a/rpm/redhat/master/common/python-etcd/master/python-etcd.spec
+++ b/rpm/redhat/master/common/python-etcd/master/python-etcd.spec
@@ -22,10 +22,12 @@ ExclusiveArch:	noarch %{ix86} x86_64 %{arm} aarch64 ppc64le s390x
 BuildRequires:	python36-mock
 BuildRequires:	python36-nose
 BuildRequires:	python36-pyOpenSSL
+Requires:	python36-dns python36-urllib3
 %else
 BuildRequires:	python3-mock
 BuildRequires:	python3-nose
 BuildRequires:	python3-pyOpenSSL
+Requires:	python3-dns python3-urllib3
 %endif
 
 %description
-- 
2.20.1

